package wdbp20;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class LoginServlet extends HttpServlet {

    protected void doPost(HttpServletRequest request, HttpServletResponse response) 
            throws ServletException, IOException {
        String next = "/menu.jsp";
        
        // 1.̓tH[̃f[^擾B
        String username = request.getParameter("username");
        String password = request.getParameter("password");

        if ((username == null) || (username.length() == 0)) {
            next = "/login.jsp";
            request.setAttribute("msg", "<font color=\"red\">username can not be less than 1 characters.</font>");
        } else if ((username != null) && (username.length() > 8)) {
            next = "/login.jsp";
            request.setAttribute("msg", "<font color=\"red\">username can not be greater than 8 characters.</font>");
        } else { 
            // 2.vɉsB
            User user = new User(username);
            if (user.authenticate(password) == true) {
                HttpSession session = request.getSession();
                session.setAttribute("user", user);
            } else {
                next = "/login.jsp";
                request.setAttribute("msg", "<font color=\"red\">authentication error.</font>");
            }
        }
        
        // 3.ʂɉʂ֑JڂB
        RequestDispatcher dispather = request.getRequestDispatcher(next);
        dispather.forward(request, response);
    }

}
