package wdbp20;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

public class LoginForm extends ActionForm {
    private String username;
    private String password;

    public String getPassword() {
        return password;
    }

    public String getUsername() {
        return username;
    }

    public void setPassword(String string) {
        password = string;
    }

    public void setUsername(String string) {
        username = string;
    }
    
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors errors = new ActionErrors();
        
        if ((username == null) || (username.length() == 0)) {
            errors.add("username", new ActionMessage("errors.minlength", "username", "1"));        
        }
        if ((username != null) && (username.length() > 8)) {
            errors.add("username", new ActionMessage("errors.maxlength", "username", "8"));        
        }
        return errors;
    }
}
